PPTPD(8)

NAME
pptpd - PPTP VPN daemon

SYNOPSIS

pptpd [-b internal-interface] [-c conf-file] [-d] [-f] [-h] [-l x.x.x.x] [-o ppp-conf-file] [-p pid-file] [-s baud] [-t seconds] [-v]

pptpd [--bcrelay internal-interface] [--conf conf-file] [--debug] [--fg] [--help] [--listen x.x.x.x] [--option ppp-conf-file] [--pidfile pid-file] [--speed baud] [--stimeout seconds] [--version]

DESCRIPTION
pptpd is the Poptop PPTP daemon, which manages tunneled PPP connections encapsulated in GRE using the PPTP VPN protocol. It may contain features like IP address management and support TCP wrappers if this support has been compiled in.

OPTIONS

-b|--bcrelay internal-interface
    specifies that all broadcasts received on the server's internal interface should be relayed to the clients.

-c|--conf conf-file
    specifies the configuration file for pptpd (default /etc/pptpd.conf)

-d|--debug
    turns on debugging mode, causing more debugging messages to be sent to syslog.

-f|--fg
    makes the pptp daemon run in the foreground (instead of the default of backgrounding itself)

-h|--help
    displays some simple help.

-l|--listen x.x.x.x
    specifies the local interface IP address to listen on.

-o|--option ppp-conf-file
    specifies that pptpd should specify an alternate configuration file for the ppp daemon (the default is normally /etc/ppp/options but may vary depending on your ppp daemon).

-p|--pidfile pid-file
    specifies an alternate location to store the process ID file (default /var/run/pptpd.pid).

-s|--speed baud
    specifies that the speed baud should be passed to the ppp daemon as the tty speed to use (in some cases this is ignored by the ppp daemon).

-t|--stimeout seconds
    specifies that the timeout value for the first packet should be seconds before dropping it. This is a DOS protection feature.

-v|--version
    displays the current version of the pptp daemon.

EXAMPLES

pptpd will start the Poptop PPTP VPN daemon (which will detach from the terminal and return immediately), using default options such as reading the configuration from /etc/pptpd.conf and noting the process ID in /var/run/pptpd.pid.

pptpd --debug -l 192.168.0.1 -fg -c /etc/pptpd.conf.test -p /etc/pptpd.pid will start the Poptop PPTP VPN daemon, with debugging increased, listening on local interface 192.168.0.1, running in the foreground and using the config file /etc/pptpd.conf.test and recording the process ID in /etc/pptpd.pid.

FILES
/etc/pptpd.conf
/var/run/pptpd.pid

AUTHORS
Poptop is written by Matthew Ramsay <matthewr@moreton.com.au>, David Luyer <luyer@ucs.uwa.edu.au>, Kevin Thayer <tmk@netmagic.net>, Peter Galbavy <Peter.Galbavy@knowledge.com> and others. Development has been moved to SourceForge and worked on by Richard de Vroede <r.devroede@linvision.com> since June 26, 2002.

COPYRIGHT
Copyright © 1999 Matthew Ramsay and others.

Poptop is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

Poptop is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Poptop; see the file COPYING. If not, write to the Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

AVAILABILITY
The most recent version of Poptop is available for download from SourceForge at http://sourceforge.net/projects/poptop.

SEE ALSO
inetd(8), inetd.conf(5), pppd(8), pptpd(8), pptpd.conf(5), tcpd(8).